# PrimitiveDateRange Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveDateRange:
[legend]

List of all members.

## Public Member Functions

| of ($class)
| setDefault ($object)
| importValue ($value)
| import ($scope)

## Static Public Member Functions

static | create ($name)

## Protected Member Functions

| getObjectName ()
| checkRanges (DateRange $range)
| makeRange ($string)

## Private Member Functions

| checkType ($object)

## Private Attributes

| $className = null

## Detailed Description

Definition at line 15 of file PrimitiveDateRange.class.php.

## Member Function Documentation

PrimitiveDateRange::checkRanges | ( | DateRange $ | range | ) | `[protected]`

Definition at line 115 of file PrimitiveDateRange.class.php.

References DateRange::getEndStamp(), and DateRange::getStartStamp().

Referenced by import(), and importValue().

Here is the call graph for this function:

PrimitiveDateRange::checkType | ( | $ | object | ) | `[private]`

Definition at line 127 of file PrimitiveDateRange.class.php.

References getObjectName(), ClassUtils::isInstanceOf(), and Assert::isTrue().

Referenced by importValue(), and setDefault().

Here is the call graph for this function:

static PrimitiveDateRange::create | ( | $ | name | ) | `[static]`

Returns:
  PrimitiveDateRange

Reimplemented in PrimitiveTimestampRange.

Definition at line 22 of file PrimitiveDateRange.class.php.

References BasePrimitive::$name.

PrimitiveDateRange::getObjectName | ( |  | ) | `[protected]`

Reimplemented in PrimitiveTimestampRange.

Definition at line 110 of file PrimitiveDateRange.class.php.

Referenced by checkType(), import(), and of().

PrimitiveDateRange::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Definition at line 75 of file PrimitiveDateRange.class.php.

References checkRanges(), getObjectName(), and makeRange().

Here is the call graph for this function:

PrimitiveDateRange::importValue | ( | $ | value | ) |

Reimplemented from BasePrimitive.

Definition at line 55 of file PrimitiveDateRange.class.php.

References BasePrimitive::$value, checkRanges(), and checkType().

Here is the call graph for this function:

PrimitiveDateRange::makeRange | ( | $ | string | ) | `[protected]`

Reimplemented in PrimitiveTimestampRange.

Definition at line 122 of file PrimitiveDateRange.class.php.

Referenced by import().

PrimitiveDateRange::of | ( | $ | class | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveDateRange

Definition at line 31 of file PrimitiveDateRange.class.php.

References getObjectName(), ClassUtils::isInstanceOf(), and Assert::isTrue().

Here is the call graph for this function:

PrimitiveDateRange::setDefault | ( | $ | object | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveDateRange

Reimplemented from BasePrimitive.

Definition at line 46 of file PrimitiveDateRange.class.php.

References checkType().

Here is the call graph for this function:

## Member Data Documentation

PrimitiveDateRange::$className = null`[private]`

Reimplemented in PrimitiveTimestampRange.

Definition at line 17 of file PrimitiveDateRange.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveDateRange.class.php